%include common-macros.specinclude

Summary: Lyx is a desktop publishing tool based on Qt.
Name: lsb-lyx
Version: 1.6.9
Release: 6.lsb5
Vendor: Linux Foundation
Packager: LSB project team <lsb-discuss@linuxfoundation.org>
License: GPL
Group: Appbat/desktop
Buildroot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb >= 5.0
BuildRequires: lsb-build-libbat-%{appbatversion}
BuildRequires: lsb-build-cc lsb-build-c++ lsb-build-qt4

Source0: ftp://ftp.lyx.org/pub/lyx/stable/1.6.x/lyx-%{version}.tar.bz2
Source1: lsb-lyx.desktop
Source2: lyx.png

%description
This is a LSB-conforming version of Lyx, a popular document processing
program.  This application has been added to test Qt4 compliance.

%prep
%setup -q -n lyx-%{version}

%build
# common environment settings
export LSBCC_LSBVERSION=%{appbatversion}
%define prefix /opt/lsb
%define app_prefix %{prefix}/appbat
%define bindir %{app_prefix}/bin
%define includedir %{prefix}/include
%define sharedir %{app_prefix}/share
%define mandir %{app_prefix}/man

%ifarch s390x ppc64 x86_64
%define lib lib64
%else
%define lib lib
%endif

# need to be able to align with the LSB/libbat version we're built for
export CC="lsbcc -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
export CXX="lsbc++ -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
%define libdir %{prefix}/%{lib}-%{appbatversion}
export LSBLIBDIR=-L%{libdir}
export PKG_CONFIG_PATH=%{libdir}/pkgconfig:/opt/lsb/libbat/%{appbatversion}/%{lib}/pkgconfig
export PATH=/opt/lsb/libbat/%{appbatversion}/bin:${PATH}

# needed for newer gcc
export CXXFLAGS=-fpermissive

# use our toolchain
export QTDIR=/opt/lsb

# make sure we do not use /usr/bin/moc from qt4 
export MOC=/opt/lsb/bin/moc

./configure \
    --prefix=%{app_prefix} \
    --disable-silent-rules \
    --x-libraries=%{libdir} \
    --x-includes=%{includedir}/X11 \
    --with-qt4-dir=%{prefix} \
    --with-qt4-includes=%{includedir} \
    --with-qt4-libraries=%{libdir} \
    LDFLAGS=$LSBLIBDIR

make

%install
rm -rf %{buildroot}

# lyx2lyx is almost compliant, we lack gzip and struct (python)
cp lib/configure.py lib/configure.py.org
grep -v lyx2lyx lib/configure.py.org > lib/configure.py
rm lib/configure.py.org

make DESTDIR=%{buildroot} install

# desktop stuff
install -d %{buildroot}%{sharedir}/applications
install -d %{buildroot}%{sharedir}/icons/hicolor/16x16/apps
cp %{SOURCE1} %{buildroot}%{sharedir}/applications
cp %{SOURCE2} %{buildroot}%{sharedir}/icons/hicolor/16x16/apps

install -d %{buildroot}%{sharedir}/doc

# remove .pyc, .pyo files
find %{buildroot}%{app_prefix} -name "*.pwc" -o -name "*.pyo" | xargs rm -f

# lyx2lyx is almost compliant, we lack gzip and struct (python)
rm -fr %{buildroot}%{sharedir}/lyx/lyx2lyx

%pre

%post
if [ -x /usr/bin/xdg-desktop-menu ];then
  xdg-desktop-menu install /opt/lsb/appbat/share/applications/lsb-lyx.desktop
fi

%preun
if [ -x /usr/bin/xdg-desktop-menu ];then
  xdg-desktop-menu uninstall /opt/lsb/appbat/share/applications/lsb-lyx.desktop
fi

%postun

%clean
rm -rf %{buildroot}

%files

%attr ( -   root root ) /opt/lsb/appbat

%changelog
* Thu May 12 2011 Stew Benedict <stewb@linux-foundation.org>
- use spec file to build, drop nALFS

* Fri Feb 18 2011 Stew Benedict <stewb@linux-foundation.org>
- first addition to appbat

